tosca_definitions_version: tosca_simple_yaml_1_0_0
node_types:
  org.openecomp.resource.vfc.WanConnection.FD.SiteSpecification:
    derived_from: tosca.nodes.Root
    description: Represents Site FD Specification
    properties:
      tenantId: 
        type: string
        description: The tenant id
      tenantName: 
        type: string
        description: The tenant name
      type: 
        type: string
        description: The gateway option is used for SDWAN connectivity
        constraints:
          - valid_values: [ 'Single Gateway','Dual Gateway' ]
        required: false
        default: 'Single Gateway'
      role: 
        type: string
        description: This is used for SDWAN only
        constraints:
          - valid_values: ['dsvpn-hub','sd-wan-edge']
        required: false
        default: 'dsvpn-hub' 
      controlPoint:
        type: string
        required: false
        description: The control point of the site,only for sd-wan-edge
      emails: 
        type: string
        required: true
        description: the emails of this site 
      postcode:
        type: string
        required: false
        description: The postcode of the site
      latitude:
        type: string
        required: false
        description: The latitude of the site
      longitude:
        type: string
        required: false
        description: The longitude of the site